#if !defined(AFX_BUGSSET_H__F02ED776_F995_11D1_9912_004033D06B6E__INCLUDED_)
#define AFX_BUGSSET_H__F02ED776_F995_11D1_9912_004033D06B6E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// BugsSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBugsSet DAO recordset

class CBugsSet : public CDaoRecordset
{
public:
	CBugsSet(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CBugsSet)

	BOOL FindBugByID(long lID);

// Field/Param Data
	//{{AFX_FIELD(CBugsSet, CDaoRecordset)
	long	m_ID;
	CString	m_Date;
	CString	m_ReportedBy;
	long	m_Status;
	CString	m_Description;
	CString	m_Notes;
	long	m_Priority;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBugsSet)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BUGSSET_H__F02ED776_F995_11D1_9912_004033D06B6E__INCLUDED_)
