// ServerInfoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "BugTracker.h"
#include "ServerInfoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CServerInfoDlg dialog


CServerInfoDlg::CServerInfoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CServerInfoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CServerInfoDlg)
	m_strPath = _T("");
	m_nPort = 0;
	m_strServer = _T("");
	//}}AFX_DATA_INIT
}


void CServerInfoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CServerInfoDlg)
	DDX_Text(pDX, IDC_EDIT_PATH, m_strPath);
	DDX_Text(pDX, IDC_EDIT_PORT, m_nPort);
	DDX_Text(pDX, IDC_EDIT_SERVER, m_strServer);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CServerInfoDlg, CDialog)
	//{{AFX_MSG_MAP(CServerInfoDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CServerInfoDlg message handlers

void CServerInfoDlg::OnOK() 
{
	if (((CButton*)GetDlgItem(IDC_RADIO_ISAPI))->GetCheck())
		m_nServerType = TYPE_ISAPI;
	else
		m_nServerType = TYPE_ASP;
	
	CDialog::OnOK();
}

BOOL CServerInfoDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	switch(m_nServerType)
	{
	case TYPE_ASP:
		((CButton*)GetDlgItem(IDC_RADIO_ASP))->SetCheck(1);
		break;
	default:
		((CButton*)GetDlgItem(IDC_RADIO_ISAPI))->SetCheck(1);
		break;
	}
		
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
