// BSet.cpp : implementation file
//

#include "stdafx.h"
#include "bugs.h"
#include "BSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBSet

IMPLEMENT_DYNAMIC(CBSet, CRecordset)

CBSet::CBSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CBSet)
	m_ID = 0;
	m_Date = _T("");
	m_ReportedBy = _T("");
	m_Status = 0;
	m_Description = _T("");
	m_Notes = _T("");
	m_Priority = 0;
	m_nFields = 7;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dynaset;
}


CString CBSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=Bugs");
}

CString CBSet::GetDefaultSQL()
{
	return _T("[Bugs]");
}

void CBSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CBSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[ID]"), m_ID);
	RFX_Text(pFX, _T("[Date]"), m_Date);
	RFX_Text(pFX, _T("[ReportedBy]"), m_ReportedBy);
	RFX_Long(pFX, _T("[Status]"), m_Status);
	RFX_Text(pFX, _T("[Description]"), m_Description);
	RFX_Text(pFX, _T("[Notes]"), m_Notes);
	RFX_Long(pFX, _T("[Priority]"), m_Priority);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CBSet diagnostics

#ifdef _DEBUG
void CBSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CBSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
