// MyGopherDlg.h : header file
//

#if !defined(AFX_MYGOPHERDLG_H__C3CB7228_EF67_11D1_B2C3_006008ACADF7__INCLUDED_)
#define AFX_MYGOPHERDLG_H__C3CB7228_EF67_11D1_B2C3_006008ACADF7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <wininet.h>

/////////////////////////////////////////////////////////////////////////////
// CMyGopherDlg dialog

class CMyGopherDlg : public CDialog
{
// Construction
public:
	CMyGopherDlg(CWnd* pParent = NULL);	// standard constructor

// Methods
public:
	void FindGopherFiles(LPCTSTR lpszLocator, LPCTSTR lpszSearch=NULL);
	void Search(CString& strLocator);
	void GetFile(CString& strLocator);

// Data Members
public:
	HINTERNET m_hSession;
	HINTERNET m_hConnection;

// Dialog Data
	//{{AFX_DATA(CMyGopherDlg)
	enum { IDD = IDD_MYGOPHER_DIALOG };
	CListCtrl	m_List;
	CString	m_strServer;
	CString	m_strLocator;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyGopherDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMyGopherDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnDblclkListResult(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClickListResult(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnGet();
	afx_msg void OnType();
	afx_msg void OnCreateLocator();
	afx_msg void OnConnect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYGOPHERDLG_H__C3CB7228_EF67_11D1_B2C3_006008ACADF7__INCLUDED_)
