// MyFTPDlg.h : header file
//
#ifndef __MYFTPDLG_H__
#define __MYFTPDLG_H__

#include <wininet.h>

//////////////////////////////////////
// MyStatusCallback prototype 

VOID CALLBACK MyStatusCallback(
    HINTERNET hInternet,
    DWORD dwContext,
    DWORD dwInternetStatus,
    LPVOID lpvStatusInformation,
    DWORD dwStatusInformationLength
);

/////////////////////////////////////////////////////////////////////////////
// CMyFTPDlg dialog

class CMyFTPDlg : public CDialog
{
// Construction
public:
	CMyFTPDlg(CWnd* pParent = NULL);	// standard constructor
	~CMyFTPDlg();

	LONG m_lMode;
	CString m_strLocalDir;
	CFont m_font;

	void FillLocalList();
	void FillRemoteList();

// Dialog Data
	//{{AFX_DATA(CMyFTPDlg)
	enum { IDD = IDD_MYFTP_DIALOG };
	CListBox	m_RemoteList;
	CListBox	m_LocalList;
	CString	m_strStatus;
	CString	m_strRemote;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyFTPDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMyFTPDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnect();
	afx_msg void OnCreate();
	afx_msg void OnGet();
	afx_msg void OnPut();
	afx_msg void OnRename();
	virtual void OnCancel();
	afx_msg void OnRemove();
	afx_msg void OnDblclkListRemote();
	afx_msg void OnDblclkListLocal();
	afx_msg void OnRemovedir();
	afx_msg void OnRadioAscii();
	afx_msg void OnRadioBinary();
	afx_msg void OnDisconnect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
